Create a new stablecoin remitter
Creates a new stablecoin remitter for a given Budget.
curl --request POST \
--url 'https://api.equalsmoney.com/v2/stablecoins/remitters?accountId={{accountId}}' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"displayName": "John Smith",
"sourceCurrencyCode": "USDC",
"destinationCurrencyCode": "USD",
"details": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Smith",
"dateOfBirth": "1946-01-19",
"emailAddress": "test@equalsmoney.com",
"nationality": "AD",
"residentialAddress": {
"streetName": "Upper Thames Street",
"buildingNumber": "68",
"buildingName": "Vintners Place",
"postcode": "EC4V 3BJ",
"city": "London",
"region": "Greater London",
"countryCode": "GB"
}
},
"requesterIpAddress": "127.0.0.1"
}
'import requests
url = "https://api.equalsmoney.com/v2/stablecoins/remitters"
payload = {
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"displayName": "John Smith",
"sourceCurrencyCode": "USDC",
"destinationCurrencyCode": "USD",
"details": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Smith",
"dateOfBirth": "1946-01-19",
"emailAddress": "test@equalsmoney.com",
"nationality": "AD",
"residentialAddress": {
"streetName": "Upper Thames Street",
"buildingNumber": "68",
"buildingName": "Vintners Place",
"postcode": "EC4V 3BJ",
"city": "London",
"region": "Greater London",
"countryCode": "GB"
}
},
"requesterIpAddress": "127.0.0.1"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
budgetId: '775596ae-2624-40af-a9dc-9756110a4a03',
displayName: 'John Smith',
sourceCurrencyCode: 'USDC',
destinationCurrencyCode: 'USD',
details: {
type: 'INDIVIDUAL',
firstName: 'John',
lastName: 'Smith',
dateOfBirth: '1946-01-19',
emailAddress: 'test@equalsmoney.com',
nationality: 'AD',
residentialAddress: {
streetName: 'Upper Thames Street',
buildingNumber: '68',
buildingName: 'Vintners Place',
postcode: 'EC4V 3BJ',
city: 'London',
region: 'Greater London',
countryCode: 'GB'
}
},
requesterIpAddress: '127.0.0.1'
})
};
fetch('https://api.equalsmoney.com/v2/stablecoins/remitters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
"accountId": "F50091",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"status": "OPEN",
"displayName": "John Smith",
"sourceCurrencyCode": "USDC",
"destinationCurrencyCode": "USD",
"details": {
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Smith",
"dateOfBirth": "1946-01-19",
"emailAddress": "test@equalsmoney.com",
"nationality": "AD",
"residentialAddress": {
"streetName": "Upper Thames Street",
"buildingNumber": "68",
"buildingName": "Vintners Place",
"postcode": "EC4V 3BJ",
"city": "London",
"region": "Greater London",
"countryCode": "GB"
}
},
"link": {
"url": "https://pay.sandbox.bvnk.com/channel?uuid=9d1f67f2-a647-404b-9b02-247c77be81d0",
"chains": [
{
"protocol": "ETH",
"address": "0x0000000000000000000000000000000000000000"
}
]
},
"createdBy": "John Smith",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}Authorizations
Query Parameters
The ID of the account to work with.
"F50091"
Body
Body
The ID of the budget to work with.
36"775596ae-2624-40af-a9dc-9756110a4a03"
The currency the remitter will send.
3 - 4"USDC"
The currency that should be received into the budget.
3 - 4"USD"
- Individual
- Business
Show child attributes
Show child attributes
1 - 255"John Smith"
The IP address of the remitter requester.
"127.0.0.1"
Response
Created
The ID of the BVNK remitter to work with.
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
The ID of the account to work with.
"F50091"
The ID of the budget to work with.
36"775596ae-2624-40af-a9dc-9756110a4a03"
OPEN The currency the remitter will send.
3 - 4"USDC"
The currency that should be received into the budget.
3 - 4"USD"
- Individual
- Business
Show child attributes
Show child attributes
1 - 255"John Smith"
The date the Resource was initially created. ISO 8601 format without milliseconds.
The date the Resource was last modified. ISO 8601 format without milliseconds.
1 - 255"John Smith"
Show child attributes
Show child attributes
Was this page helpful?
